import { FeatureContext } from 'contexts'
import React from 'react'
import { appInst } from '../appConfig'
import { IFeatureContext } from '../contexts/featureContext'

type FeatureProviderProps = {
  children: React.ReactNode
}

function FeatureProvider(props: FeatureProviderProps) {
  const { children } = props

  let features: IFeatureContext
  switch (appInst) {
    case 'uib':
      features = {
        displayContactAtUnit: true,
        displayComment: true,
        displayContactAtUnitGuestInput: true,
        showGenderFieldForGuest: true,
      }
      break

    case 'uio':
    default:
      features = {
        displayContactAtUnit: true,
        displayComment: true,
        displayContactAtUnitGuestInput: true,
        showGenderFieldForGuest: false,
      }
      break
  }

  return (
    <FeatureContext.Provider value={features}>
      {children}
    </FeatureContext.Provider>
  )
}

export default FeatureProvider
