"""
Command for scheduling the django-q task for importing OUs from Orgreg
"""
import logging

from django.conf import settings
from django.core.management.base import BaseCommand
from django_q.tasks import schedule


logger = logging.getLogger(__name__)


class Command(BaseCommand):
    help = __doc__

    def handle(self, *args, **options):
        logger.info("Scheduling orgreg import task...")
        schedule(
            func="greg.tasks.import_from_orgreg",
            schedule_type=settings.ORGREG_SCHEDULE_TYPE,
        )
        logger.info("Orgreg import task scheduled.")
