from typing import Protocol, Union

from gregui.models import EmailTemplate


def prepare_arguments(
    template: EmailTemplate, context: dict[str, str], mail_to: str
) -> dict[str, Union[str, list[str]]]:
    """Combine input to a dict ready for use as arguments to django's send_mail"""
    return {
        "subject": template.get_subject(context),
        "message": template.get_body(context),
        "from_email": template.from_email or None,
        "recipient_list": [mail_to],
    }


class EmailSender(Protocol):
    def queue_mail(self, *args):
        pass
